# STM32CubeG4 MCU Firmware Package

**STM32Cube** is an STMicroelectronics original initiative to ease the developers life by reducing efforts, time and cost.

**STM32Cube** covers the overall STM32 products portfolio. It includes a comprehensive embedded software platform (this repo), delivered for each series (such as the STM32CubeG4 for the STM32G4 series).
   * The CMSIS modules (core and device) corresponding to the ARM tm core implemented in this STM32 product.
   * The STM32 HAL-LL drivers : an abstraction drivers layer, the API ensuring maximized portability across the STM32 portfolio.
   * The BSP Drivers of each evaluation or demonstration board provided by this STM32 series.
   * A consistent set of middlewares components such as RTOS, FatFS, USB...
   * A full set of software projects (basic examples, applications or demonstrations) for each board provided by this STM32 series.

The **STM32CubeG4 MCU Package** projects are directly running on the STM32G4 series boards. You can find in each Projects/*Board name* directories a set of software projects (Applications/Demonstration/Examples)

## Release note

Details about the content of this release are available in the release note [here](https://htmlpreview.github.io/?https://github.com/STMicroelectronics/STM32CubeG4/blob/master/Release_Notes.html).

## Boards available

  * STM32G4
    * [STM32G474E-EVAL](https://www.st.com/en/product/stm32g474e-eval.html)
    * [NUCLEO-G431KB](https://www.st.com/en/product/nucleo-g431kb.html)
    * [NUCLEO-G431RB](https://www.st.com/en/product/nucleo-g431rb.html)
    * [NUCLEO-G474RE](https://www.st.com/en/product/nucleo-g474re.html)
    * [B-G474E-DPOW1](https://www.st.com/en/product/b-g474e-dpow1.html)

## Troubleshooting

**Caution** : The **Issues** requests are strictly limited to submit problems or suggestions related to the software delivered in this repository.

**For any other question** related to the STM32G4 product, the hardware performance, the hardware characteristics, the tools, the environment, you can submit a topic on the [ST Community/STM32 MCUs forum](https://community.st.com/s/group/0F90X000000AXsASAW/stm32-mcus).
